Subject: Re: bug#21140: 25.0.50; Isearch "char-fold" by default

From: Juri Linkov <[email-masked]>
Date: Wed, 29 Jul 2015 01:21:45 +0300

>> In case of case-folding the parameter names used in isearch messages are:
>> “case-sensitive” and “case-insensitive”.
>>
>> By analogy, can we use: “char-sensitive” and “char-insensitive”?
>
> I doubt that will be clear to users, since no one else calls this by
> that name.  "Folding" is the accepted terminology, though perhaps
> "char-fold" is also slightly unclear.  How about just "Fold"?

“Fold” is too broad.  “Char-fold” is more concise and seems is
the accepted terminology, e.g.
https://www.elastic.co/guide/en/elasticsearch/guide/current/character-folding.html
http://userguide.icu-project.org/transforms/casemappings
Or does Unicode.org have a better name?  I can find only this draft
http://www.unicode.org/reports/tr30/tr30-4.html